Agentic¶
Agentic - Query Object¶
HTTP Request
GET /api/v1/_objs/{type}/{id}/data
📋 Description: Retrieves detailed data for a specified object type and ID, enabling users to access relevant information for analysis and decision-making.
Parameters
Name |
In |
Type |
Required |
Description |
|---|---|---|---|---|
type |
path |
string |
true |
Type of the resource |
id |
path |
integer(int64) |
true |
Unique identifier for the resource |
Responses
Status |
Meaning |
Description |
Schema |
|---|---|---|---|
200 |
OK |
||
409 |
Payment amount exceeds remaining invoice balance |
||
502 |
Downstream service call failed |
Example Responses
1{
2 "obj": {
3 "objectId": "string",
4 "displayId": "string",
5 "name": "string",
6 "state": "string",
7 "companyDisplayId": "string",
8 "vendorDisplayId": "string",
9 "vendorName": "string"
10 },
11 "locale": {}
12}